commit:     f615ec696cbefd8587307021004b0d82419a8e4b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 10 23:48:12 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 10 23:48:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f615ec69

sci-biology/gibbs: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/gibbs/files/gibbs-3.1-fix-CFLAGS.patch | 11 +++++++
 sci-biology/gibbs/gibbs-3.1.ebuild                 | 34 ++++++++++------------
 2 files changed, 27 insertions(+), 18 deletions(-)

diff --git a/sci-biology/gibbs/files/gibbs-3.1-fix-CFLAGS.patch 
b/sci-biology/gibbs/files/gibbs-3.1-fix-CFLAGS.patch
new file mode 100644
index 00000000000..6eaad637cfc
--- /dev/null
+++ b/sci-biology/gibbs/files/gibbs-3.1-fix-CFLAGS.patch
@@ -0,0 +1,11 @@
+--- a/configure.in
++++ b/configure.in
+@@ -51,7 +51,7 @@
+       fi
+       ])
+ 
+-CFLAGS="$OPTFLAGS $MPIFLAGS  -Wall -Werror $MACFLAG"
++CFLAGS="$CFLAGS $OPTFLAGS $MPIFLAGS -Wall $MACFLAG"
+ 
+ AC_PROG_CC([$COMP_LIST])
+ 

diff --git a/sci-biology/gibbs/gibbs-3.1.ebuild 
b/sci-biology/gibbs/gibbs-3.1.ebuild
index de8322a5068..a06d0880ee4 100644
--- a/sci-biology/gibbs/gibbs-3.1.ebuild
+++ b/sci-biology/gibbs/gibbs-3.1.ebuild
@@ -1,11 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
 
-AUTOTOOLS_AUTORECONF=yes
-
-inherit autotools-utils multilib
+inherit autotools
 
 DESCRIPTION="Identify motifs, conserved regions, in DNA or protein sequences"
 HOMEPAGE="http://bayesweb.wadsworth.org/gibbs/gibbs.html";
@@ -13,37 +11,37 @@ SRC_URI="mirror://gentoo/gibbs-${PV}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="mpi"
 KEYWORDS="amd64 x86"
+IUSE="mpi"
 
 DEPEND="
        mpi? (
                virtual/mpi
-               sys-cluster/mpe2 )"
+               sys-cluster/mpe2
+       )"
 RDEPEND="${DEPEND}"
 
+PATCHES=( "${FILESDIR}"/${PN}-3.1-fix-CFLAGS.patch )
+
 src_prepare() {
-       sed \
-               -e 's/CFLAGS="$OPTFLAGS/CFLAGS="$CFLAGS $OPTFLAGS/' \
-               -e 's/-Werror//' \
-               -i configure.in || die
-       autotools-utils_src_prepare
+       default
+       mv configure.{in,ac} || die
+       eautoreconf
 }
 
 src_configure() {
-       if use mpi; then export CC=mpicc; fi
-       local myeconfargs=( $(use_enable mpi) )
-       autotools-utils_src_configure
+       use mpi && export CC=mpicc
+       econf $(use_enable mpi)
 }
 
 src_install() {
-       autotools-utils_src_install
+       default
+
        exeinto /usr/$(get_libdir)/${PN}
        doexe *.pl
-       dodoc README ChangeLog
 }
 
 pkg_postinst() {
-       einfo "Supplementary Perl scripts for Gibbs have been installed into 
/usr/$(get_libdir)/${PN}."
+       einfo "Supplementary Perl scripts for Gibbs have been installed into 
${EROOT}/usr/$(get_libdir)/${PN}."
        einfo "These scripts require installation of sci-biology/bioperl."
 }

Reply via email to